%global momorel 1
%global qtver 4.4.0
%global kdever 4.0.4
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: BitTorrent program for KDE
Name: ktorrent
Version: 3.1.4
Release: %{momorel}m%{?dist}
License: GPL
URL: http://ktorrent.org/
Group: Applications/Internet
Source0: http://ktorrent.org/downloads/%{version}/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: avahi-devel

%description
KTorrent is a BitTorrent program for KDE.
The 2.0 release adds several big new features to KTorrent :
  * Support for distributed hash tables (mainline version)
  * Protocol encryption
  * Bandwith scheduling
  * Directory scanner to automatically load torrents in certain directories
  * Trackers can now be added to torrents
  * File prioritization for multi file torrents
We allready supported the following features in the previous version :
  * Downloads torrent files
  * Upload and download speed capping
  * Internet searching using various search engines, you can even add your own
  * UDP Trackers
  * Port forwarding with UPnP
  * IP blocking plugin
  * Importing of partially or fully downloaded files

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
	-DENABLE_LOGVIEWER_PLUGIN=true \
	-DENABLE_INFOWIDGET_PLUGIN=true \
	-DENABLE_UPNP_PLUGIN=true \
	-DENABLE_SEARCH_PLUGIN=true \
	-DENABLE_WEBINTERFACE_PLUGIN=true \
	-DENABLE_SCANFOLDER_PLUGIN=true \
	-DENABLE_IPFILTER_PLUGIN=true \
	-DENABLE_STATS_PLUGIN=true \
	-DENABLE_BWSCHEDULER_PLUGIN=true \
	-DENABLE_MEDIAPLAYER_PLUGIN=true \
	..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog
%{_bindir}/*
%{_includedir}/libbtcore
%{_libdir}/*.so*
%{_libdir}/kde4/*
%{_datadir}/applications/kde4/*
%{_datadir}/apps/cmake/modules/*
%{_datadir}/apps/ktorrent
%{_datadir}/icons/*/*/*/*
%{_datadir}/kde4/services/*
%{_datadir}/kde4/servicetypes/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Tue Oct 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1.4-1m)
- [SECURITY] SA32442, http://secunia.com/advisories/32442/
- update to 3.1.4

* Sun Oct 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1.3-1m)
- update to 3.1.3

* Wed Aug  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1.2-1m)
- update to 3.1.2

* Mon Jul 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1.1-1m)
- update to 3.1.1

* Tue Jun 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1-1m)
- update to 3.1 official release

* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1-0.3.1m)
- update to 3.1rc1

* Tue May 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1-0.2.1m)
- update to 3.1beta2

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1-0.1.2m)
- rebuild against qt-4.4.0-1m

* Wed Apr 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1-0.1.1m)
- update to 3.1beta1

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.2-1m)
- update to 3.0.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.1-2m)
- rebuild against gcc43

* Tue Mar 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.1-1m)
- update to 3.0.1

* Tue Feb 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.0-1m)
- update to 3.0.0

* Mon Jan 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0-0.2.1m)
- update to 3.0rc1

* Tue Jan 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0-0.1.1m)
- update to 3.0beta1 for KDE4

* Fri Nov 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.4-1m)
- update to 2.2.4

* Fri Nov 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.3-1m)
- update to 2.2.3

* Thu Aug 30 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.2-1m)
- update to 2.2.2

* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.1-1m)
- update to 2.2.1

* Wed Jul  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2-1m)
- update to 2.2

* Thu Jun 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2-0.2.1m)
- update to 2.2rc1

* Wed Jun 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2-0.1.1m)
- update to 2.2beta1

* Thu Apr 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.4-1m)
- update to 2.1.4

* Tue Apr  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.3-1m)
- update to 2.1.3

* Sun Mar 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.2-1m)
- update to 2.1.2

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1-2m)
- rebuild against kdelibs etc.

* Thu Feb  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1-1m)
- update to 2.1 official release

* Sun Feb  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1-0.2.2m)
- BuildPreReq: avahi-devel

* Thu Jan  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1-0.2.1m)
- update to 2.1rc1

* Sun Dec  3 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1-0.1.1m)
- update to 2.1beta1

* Wed Nov 15 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.3-2m)
- remove dupullicated desktop file

* Tue Nov 14 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.3-1m)
- initial build for Momonga Linux 3
